## libsdl2-ttf 2.0.12%2Bdfsg1

=== debian/changelog ===
libsdl2-ttf (2.0.12+dfsg1-2) unstable; urgency=low

  * Build-Depends on pkg-config
  * Do not call dh_autoreconf with ./autogen.sh as parameter, to force
    using new config.{sub,guess} files, which important when having new
    architectures (Closes: #727437)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 29 Oct 2013 18:18:49 +0000

libsdl2-ttf (2.0.12+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #719643)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 13 Aug 2013 23:35:27 +0100

## libsdl2-ttf 2.0.15+dfsg1

=== CMakeLists.txt ===
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
  message(FATAL_ERROR "Prevented in-tree built. Please create a build directory outside of the SDL_ttf source code and call cmake from there")
endif()

##### general #####
cmake_minimum_required(VERSION 3.0)
project(SDL_ttf C)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

find_package(SDL2 REQUIRED)
find_package(Freetype REQUIRED)
find_package(PkgConfig QUIET)

set(SDL_TTF_MAJOR_VERSION 2)
set(SDL_TTF_MINOR_VERSION 0)
set(SDL_TTF_MICRO_VERSION 8)
set(SDL_TTF_INTERFACE_AGE 0)
set(SDL_TTF_BINARY_AGE 14)
set(SDL_TTF_VERSION "${SDL_TTF_MAJOR_VERSION}.${SDL_TTF_MINOR_VERSION}.${SDL_TTF_MICRO_VERSION}")

##### library generation #####
add_library(SDL2_ttf SDL_ttf.c SDL_ttf.h)
target_link_libraries(SDL2_ttf SDL2::SDL2 Freetype::Freetype)
target_include_directories(SDL2_ttf PUBLIC $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/SDL2>)

install(
  TARGETS SDL2_ttf
  EXPORT SDL2_ttfTargets
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)
install(
  FILES SDL_ttf.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/SDL2
)

##### export files #####
if (APPLE)
  set(PKG_PREFIX "SDL2_ttf.framework/Resources")
elseif (WIN32)
  set(PKG_PREFIX "cmake")
else ()
  set(PKG_PREFIX "lib/cmake/SDL2")
endif ()

write_basic_package_version_file("${CMAKE_BINARY_DIR}/SDL2_ttfConfigVersion.cmake"
  VERSION ${SDL_TTF_VERSION}
  COMPATIBILITY AnyNewerVersion
)

install(
  EXPORT SDL2_ttfTargets
  FILE SDL2_ttfTargets.cmake
  NAMESPACE SDL2_ttf::
  DESTINATION ${PKG_PREFIX}
)
install(
  FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/SDL2_ttfConfig.cmake
    ${CMAKE_BINARY_DIR}/SDL2_ttfConfigVersion.cmake
  DESTINATION ${PKG_PREFIX}
  COMPONENT Devel
)

##### pkg-config #####
if (PKG_CONFIG_FOUND)
  set(SDL_VERSION 2.0.0)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\${prefix}")
  set(libdir "\${exec_prefix}/lib${LIB_SUFFIX}")
  set(bindir "\${exec_prefix}/bin")
  set(includedir "\${prefix}/include")

  configure_file("${SDL_ttf_SOURCE_DIR}/SDL2_ttf.pc.in"
    "${SDL_ttf_BINARY_DIR}/SDL2_ttf.pc" @ONLY)

  if (CMAKE_SYSTEM_NAME MATCHES FreeBSD)
    # FreeBSD uses ${PREFIX}/libdata/pkgconfig
    install(FILES ${SDL_ttf_BINARY_DIR}/SDL2_ttf.pc DESTINATION "libdata/pkgconfig")
  else ()
    install(FILES ${SDL_ttf_BINARY_DIR}/SDL2_ttf.pc
      DESTINATION "lib${LIB_SUFFIX}/pkgconfig")
  endif ()
endif ()

## libsdl2-ttf 2.0.12+dfsg1

=== debian/control ===
Source: libsdl2-ttf
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               libfreetype6-dev,
               libsdl2-dev (>= 2.0.0),
               pkg-config
Homepage: http://www.libsdl.org/projects/SDL_ttf/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2-ttf.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2-ttf.git


Package: libsdl2-ttf-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: TrueType Font library for Simple DirectMedia Layer 2, libraries
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the shared library.

Package: libsdl2-ttf-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: ${misc:Depends},
         libsdl2-ttf-2.0-0 (= ${binary:Version})
Description: TrueType Font library for Simple DirectMedia Layer 2, debugging
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the debugging information for the shared library.

Package: libsdl2-ttf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libc6-dev,
         libsdl2-ttf-2.0-0 (= ${binary:Version}),
         libsdl2-dev (>= 2.0.0)
Description: TrueType Font library for Simple DirectMedia Layer 2, development files
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SHLIBVER := 2.0.0


%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
        # do not call with ./autogen.sh as parameter, to force new
        # config.{sub,guess}
	AUTOMAKE="automake --foreign" dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_install:
	dh_install --fail-missing -XlibSDL2_ttf.la

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
        # fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-ttf-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so.0.10.2 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so
	dh_link --remaining-packages

override_dh_compress:
	dh_compress -Xglfont.c -Xshowfont.c

override_dh_strip:
	dh_strip --dbg-package=libsdl2-ttf-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-ttf-2.0-0 (>= $(SHLIBVER))"

## libsdl2-ttf 2.0.14+dfsg1

=== debian/changelog ===
libsdl2-ttf (2.0.14+dfsg1-2) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Update Vcs-* URLs
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Use automatic dbgsym packages, drop -dbg

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 31 Jul 2017 23:19:16 +0200

libsdl2-ttf (2.0.14+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - d/patches: drop link_libm_ftbfs_binutils-gold, support added upstream
    - Does not cause the compilation warning upgraded to error
      (Closes: #812621)
    - d/rules: update shlib and .so symlink to current version
  * Bump Policy Standards-Version to 3.9.6 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 02 Feb 2016 12:48:36 +0000

=== debian/control ===
Source: libsdl2-ttf
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 10~),
               libfreetype6-dev,
               libsdl2-dev (>= 2.0.0),
               pkg-config
Homepage: http://www.libsdl.org/projects/SDL_ttf/
Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-ttf.git
Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-ttf.git


Package: libsdl2-ttf-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: TrueType Font library for Simple DirectMedia Layer 2, libraries
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the shared library.

Package: libsdl2-ttf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libc6-dev,
         libsdl2-ttf-2.0-0 (= ${binary:Version}),
         libsdl2-dev (>= 2.0.0)
Description: TrueType Font library for Simple DirectMedia Layer 2, development files
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SHLIBVER := 2.0.14


# export variables for autoreconf
export AUTOMAKE := automake --foreign


%:
	dh $@ --dbgsym-migration='libsdl2-ttf-dbg (<< 2.0.14+dfsg1-2~)'

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_install:
	dh_install --fail-missing -XlibSDL2_ttf.la

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
        # fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-ttf-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so
	dh_link --remaining-packages

override_dh_compress:
	dh_compress -Xglfont.c -Xshowfont.c

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-ttf-2.0-0 (>= $(SHLIBVER))"

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+$// \
  http://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl2-ttf 2.0.15+dfsg1

=== debian/changelog ===
libsdl2-ttf (2.0.15+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Verify signature of upstream tarball.
  * Drop fix-ftbfs-892441.patch, fixed upstream. (Closes: #914486)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 03 Feb 2019 13:00:22 +0100

libsdl2-ttf (2.0.14+dfsg1-3) unstable; urgency=medium

  * d/patches:
    - add fix-ftbfs-892441.patch: use pkg-config instead of
      freetype-config, deprecated and about to be removed (Closes: #892441)
  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level 11
  * Set "Rules-Requires-Root: no" in d/control
  * d/copyright: use https in format URL
  * d/watch:
    - Switch to version=4
    - Use https in URL
  * d/control:
    - Use https in Homepage URL
    - Update Vcs-* URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 19 Oct 2018 17:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10~),
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 11~),
                libfreetype6-dev,
                libsdl2-dev (>= 2.0.0),
                pkg-config
-Homepage: http://www.libsdl.org/projects/SDL_ttf/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-ttf.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-ttf.git
+Homepage: https://www.libsdl.org/projects/SDL_ttf/
+Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-ttf
+Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-ttf.git
 
 
 Package: libsdl2-ttf-2.0-0

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 # export variables for autoreconf
 export AUTOMAKE := automake --foreign
+export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude
 
 
 %:
@@ -29,7 +30,7 @@
 	dh_installchangelogs -- CHANGES.txt
 
 override_dh_link:
-        # fix lintian warning dev-pkg-without-shlib-symlink
+	# fix lintian warning dev-pkg-without-shlib-symlink
 	dh_link -plibsdl2-ttf-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so
 	dh_link --remaining-packages

## libsdl2-ttf 2.0.18+dfsg

=== debian/changelog ===
libsdl2-ttf (2.0.18+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Jan 2022 09:29:57 +0000

libsdl2-ttf (2.0.18+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/libsdl2-ttf-2.0-0.symbols: Require v2.0.18 for recent symbols.
    This simplifies dependency generation a bit; there's no real need to
    keep track of individual git snapshots.

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jan 2022 09:19:12 +0000

libsdl2-ttf (2.0.18~git20220107.g5d387eb+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * d/copyright: Update
  * d/*.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Jan 2022 14:07:32 +0000

libsdl2-ttf (2.0.15+git20211215.gf5f6e4a+dfsg-1) experimental; urgency=medium

  * Team upload
  * Branch for experimental
  * New upstream snapshot
    - Update symbols file
    - d/control: Update build-dependencies
    - d/copyright: Update
    - d/rules: Explicitly enable harfbuzz and disable vendored copies
  * d/copyright, d/gbp.conf: Filter more generated/vendored files.
    If we're repacking the tarball *anyway*, we might as well exclude these
    too. They'll be restored by dh_autoreconf.

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Dec 2021 13:29:47 +0000

libsdl2-ttf (2.0.15+dfsg1-2) unstable; urgency=medium

  * Team upload

  [ Felix Geyer ]
  * Switch to debhelper compat level 12

  [ Simon McVittie ]
  * Add an autopkgtest smoke-test (Closes: #941024)
  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.
  * d/rules: Stop overriding dh_compress.
    In debhelper compat level 12, examples are not compressed by default.
  * d/rules: Remove unnecessary -dbgsym migration path.
    The migration happened between Debian 9 and Debian 10, and we don't
    support skipping a release.
  * Use recommended debhelper compat level 13.
    Drop dh_missing override, --fail-missing is now the default.
  * Use a .symbols file to track the ABI.
    2.0.15 is available since Debian 10, so I haven't attempted to determine
    which symbols were already available in older releases.
  * Re-export upstream signing key without extra signatures.
  * d/copyright: Add Files-Excluded to document what we remove.
    This allows a suitably repacked tarball to be downloaded using uscan.
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Oct 2021 11:17:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11~),
-               libfreetype6-dev,
-               libsdl2-dev (>= 2.0.0),
+Build-Depends: debhelper-compat (= 13),
+               libfreetype-dev,
+               libharfbuzz-dev (>= 2.3.1),
+               libsdl2-dev (>= 2.0.12),
                pkg-config
 Homepage: https://www.libsdl.org/projects/SDL_ttf/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-ttf

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


# export variables for autoreconf
export AUTOMAKE := automake --foreign
export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude


confflags += --enable-harfbuzz
confflags += --disable-freetype-builtin
confflags += --disable-harfbuzz-builtin


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
	# fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-ttf-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so
	dh_link --remaining-packages

=== debian/tests/control ===
Tests: libsdl2-ttf-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 file,
 fonts-cantarell,
 libsdl2-ttf-dev,
 pkg-config,
 xauth,
 xvfb,

## libsdl2-ttf 2.20.0+dfsg

=== debian/changelog ===
libsdl2-ttf (2.20.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/libsdl2-ttf-2.0-0.symbols: Use stable release for recent symbols.
    We don't need to keep track of which specific prerelease introduced
    each symbol now that they're in a stable release.
  * d/watch: Only look for stable releases
  * Standards-Version: 4.6.1 (no changes required)
  * d/rules: Enable full compiler hardening
  * Switch branch for upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 14:55:03 +0100

libsdl2-ttf (2.19.2+dfsg-1) experimental; urgency=medium

  * New upstream prerelease
  * d/watch: Don't download Windows binaries, etc.
  * d/watch: Accept development prereleases for experimental branch
  * Add myself to Uploaders
  * Drop all patches, applied upstream
  * d/libsdl2-ttf-dev.install: Install the new CMake metadata
  * d/tests: Exercise a CMake build

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 10:56:50 +0100

libsdl2-ttf (2.19.1+dfsg-2) experimental; urgency=medium

  * Team upload
  * d/patches: Add post-release-candidate fixes from upstream.
    In particular this fixes an autopkgtest regression for src:pysdl2.
  * d/watch: Automatically add +dfsg suffix
  * d/.gitignore: Add

 -- Simon McVittie <smcv@debian.org>  Tue, 31 May 2022 13:16:45 +0100

libsdl2-ttf (2.19.1+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream prerelease
  * d/watch: Download releases from Github
  * d/copyright: Remove exclusion patterns that are no longer needed
  * d/watch: Don't download prereleases (by default)

 -- Simon McVittie <smcv@debian.org>  Wed, 25 May 2022 20:27:23 +0100

libsdl2-ttf (2.0.18+git20220512.g21ae4c6+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
  * Update symbols file.
    Ignore removal of TTF_SetFontScript, which only existed in experimental.

 -- Simon McVittie <smcv@debian.org>  Fri, 13 May 2022 16:30:01 +0100

libsdl2-ttf (2.0.18+git20220508.gaa0659b+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
    - Drop patches, applied upstream
    - Update symbols file with new ABI from development branch

 -- Simon McVittie <smcv@debian.org>  Mon, 09 May 2022 17:06:08 +0100

libsdl2-ttf (2.0.18+dfsg-3) unstable; urgency=medium

  * Team upload
  * Add patches from upstream to fix overflows
    - Integer overflow with crafted/malicious TTF files
      (Closes: #1010671, CVE-2022-27470)
    - Buffer overflow if memory allocation fails

 -- Simon McVittie <smcv@debian.org>  Sat, 07 May 2022 11:34:44 +0100

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~.+](?:dfsg|ds)[0-9]*$//,repacksuffix=+dfsg,pgpmode=auto" \
https://github.com/libsdl-org/SDL_ttf/releases \
.*/SDL2_ttf-(\d+\.\d*[02468]\.\d+)@ARCHIVE_EXT@

# also: https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl2-ttf 2.20.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

# See docs/release_checklist.md
set(MAJOR_VERSION 2)
set(MINOR_VERSION 20)
set(MICRO_VERSION 1)
set(SDL_REQUIRED_VERSION 2.0.10)

# For historical reasons this is 15.0.0 rather than the expected 1.0.0
set(DYLIB_COMPATIBILITY_VERSION "15.0.0")

include(PrivateSdlFunctions)
sdl_calculate_derived_version_variables()

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
    message(FATAL_ERROR "Prevented in-tree built. Please create a build directory outside of the SDL_ttf source code and call cmake from there")
endif()

project(SDL2_ttf
    LANGUAGES C
    VERSION "${FULL_VERSION}"
)

message(STATUS "Configuring ${PROJECT_NAME} ${PROJECT_VERSION}")

# Set defaults preventing destination file conflicts
set(SDL2TTF_DEBUG_POSTFIX "d"
    CACHE STRING "Name suffix for debug builds")
mark_as_advanced(SDL2TTF_DEBUG_POSTFIX)

# Assume MSVC projects don't have a package manager and need vendored dependencies (by default).
# Most other platforms have some kind of package manager.
# FIXME: consider a package manager such as conan/vcpkg instead of vendoring
if(MSVC)
    set(vendored_default TRUE)
else()
    set(vendored_default FALSE)
endif()

include(CMakeDependentOption)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)
include(CheckSymbolExists)

option(CMAKE_POSITION_INDEPENDENT_CODE "Build static libraries with -fPIC" ON)
option(BUILD_SHARED_LIBS "Build the library as a shared library" ON)

option(SDL2TTF_SAMPLES "Build the SDL2_ttf sample program(s)" ON)
option(SDL2TTF_INSTALL "Enable SDL2_ttf install target" ON)
option(SDL2TTF_VENDORED "Use vendored third-party libraries" ${vendored_default})

# For style consistency, create a SDL2TTF_FREETYPE CMake variable. This variable is NOT configurable.
set(SDL2TTF_FREETYPE ON)
set(SDL2TTF_FREETYPE_VENDORED "${SDL2TTF_VENDORED}")

option(SDL2TTF_HARFBUZZ "Use harfbuzz to improve text shaping" OFF)
set(SDL2TTF_HARFBUZZ_VENDORED "${SDL2TTF_VENDORED}")

# Save BUILD_SHARED_LIBS variable
set(SDL2TTF_BUILD_SHARED_LIBS "${BUILD_SHARED_LIBS}")

if(SDL2TTF_BUILD_SHARED_LIBS)
    set(sdl2_ttf_export_name SDL2_ttf)
    set(sdl2_ttf_install_name_infix shared)
    set(sdl2_target_name SDL2::SDL2)
else()
    set(sdl2_ttf_export_name SDL2_ttf-static)
    set(sdl2_ttf_install_name_infix static)
    set(sdl2_target_name SDL2::SDL2-static)
endif()

sdl_find_sdl2(${sdl2_target_name} ${SDL_REQUIRED_VERSION})

# Enable large file support on 32-bit glibc, so that the vendored libraries
# can access files with large inode numbers
check_symbol_exists("__GLIBC__" "stdlib.h" LIBC_IS_GLIBC)
if (LIBC_IS_GLIBC AND CMAKE_SIZEOF_VOID_P EQUAL 4)
    add_compile_definitions(_FILE_OFFSET_BITS=64)
endif()

add_library(SDL2_ttf
    SDL_ttf.c
    SDL_ttf.h
)
add_library(SDL2_ttf::${sdl2_ttf_export_name} ALIAS SDL2_ttf)
target_include_directories(SDL2_ttf PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/SDL2>"
)
target_compile_definitions(SDL2_ttf PRIVATE
    BUILD_SDL
    SDL_BUILD_MAJOR_VERSION=${MAJOR_VERSION}
    SDL_BUILD_MINOR_VERSION=${MINOR_VERSION}
    SDL_BUILD_MICRO_VERSION=${MICRO_VERSION}
)
target_link_libraries(SDL2_ttf PRIVATE $<BUILD_INTERFACE:${sdl2_target_name}>)
if(WIN32 AND SDL2TTF_BUILD_SHARED_LIBS)
    target_sources(SDL2_ttf PRIVATE
        version.rc
    )
endif()
set_target_properties(SDL2_ttf PROPERTIES
    DEFINE_SYMBOL DLL_EXPORT
    PUBLIC_HEADER SDL_ttf.h
    EXPORT_NAME ${sdl2_ttf_export_name}
    C_VISIBILITY_PRESET "hidden"
)
if(NOT ANDROID)
    set_target_properties(SDL2_ttf PROPERTIES
        DEBUG_POSTFIX "${SDL2TTF_DEBUG_POSTFIX}"
    )
    if(APPLE)
        # the SOVERSION property corresponds to the compatibility version and VERSION corresponds to the current version
        # https://cmake.org/cmake/help/latest/prop_tgt/SOVERSION.html#mach-o-versions
        set_target_properties(SDL2_ttf PROPERTIES
            SOVERSION "${DYLIB_COMPATIBILITY_VERSION}"
            VERSION "${DYLIB_CURRENT_VERSION}"
        )
    else()
        set_target_properties(SDL2_ttf PROPERTIES
            SOVERSION "${LT_MAJOR}"
            VERSION "${LT_VERSION}"
        )
    endif()
endif()
if(SDL2TTF_BUILD_SHARED_LIBS AND (APPLE OR (UNIX AND NOT ANDROID)))
    add_custom_command(TARGET SDL2_ttf POST_BUILD
        COMMAND "${CMAKE_COMMAND}" -E create_symlink "$<TARGET_SONAME_FILE_NAME:SDL2_ttf>" "libSDL2_ttf$<$<CONFIG:Debug>:${SDL2TTF_DEBUG_POSTFIX}>$<TARGET_FILE_SUFFIX:SDL2_ttf>"
        # BYPRODUCTS "libSDL2_ttf$<$<CONFIG:Debug>:${SDL2TTF_DEBUG_POSTFIX}>$<TARGET_FILE_SUFFIX:SDL2_ttf>" # Needs CMake 3.20
        WORKING_DIRECTORY "${PROJECT_BINARY_DIR}"
    )
endif()
if(SDL2TTF_BUILD_SHARED_LIBS)
    if(WIN32 OR OS2)
        set_target_properties(SDL2_ttf PROPERTIES
            PREFIX ""
        )
    endif()
    if(OS2)
        # OS/2 doesn't support a DLL name longer than 8 characters.
        set_target_properties(SDL2_ttf PROPERTIES
            OUTPUT_NAME "SDL2ttf"
        )
    elseif(UNIX AND NOT ANDROID)
        set_target_properties(SDL2_ttf PROPERTIES
            OUTPUT_NAME "SDL2_ttf-${LT_RELEASE}"
        )
    endif()
endif()

if(SDL2TTF_BUILD_SHARED_LIBS)
    # Use `Compatible Interface Properties` to ensure a shared SDL2_ttf is linked to a shared SDL2 library
    set_property(TARGET SDL2_ttf PROPERTY INTERFACE_SDL2_SHARED ${SDL2TTF_BUILD_SHARED_LIBS})
    set_property(TARGET SDL2_ttf APPEND PROPERTY COMPATIBLE_INTERFACE_BOOL SDL2_SHARED)
endif()

set(INSTALL_EXTRA_TARGETS)
set(PC_LIBS)
set(PC_REQUIRES)

# Build freetype and harfbuzz as a static library
set(BUILD_SHARED_LIBS OFF)

if(SDL2TTF_HARFBUZZ)
    if(SDL2TTF_HARFBUZZ_VENDORED)
        message(STATUS "${PROJECT_NAME}: Using vendored harfbuzz library")
        # HB_BUILD_UTILS variable is used by harfbuzz
        set(HB_BUILD_UTILS OFF CACHE BOOL "harfbuzz build utils" FORCE)
        # SKIP_INSTALL_LIBRARIES variable is used by harfbuzz
        set(SKIP_INSTALL_LIBRARIES ON CACHE BOOL "harfbuzz install option" FORCE)
        # HB_HAVE_FREETYPE variable is used by harfbuzz
        set(HB_HAVE_FREETYPE ${SDL2TTF_FREETYPE} CACHE BOOL "harfbuzz freetype helpers" FORCE)
        if(NOT EXISTS "${PROJECT_SOURCE_DIR}/external/harfbuzz/CMakeLists.txt")
            message(FATAL_ERROR "No harfbuzz sources found. Install a harfbuzz development package or run the download script in the external folder.")
        endif()
        add_subdirectory(external/harfbuzz EXCLUDE_FROM_ALL)
        # harfbuzz is a c++ project, enable c++ here to ensure linking to the c++ standard library
        enable_language(CXX)
        if(NOT SDL2TTF_BUILD_SHARED_LIBS)
            list(APPEND INSTALL_EXTRA_TARGETS harfbuzz)
            list(APPEND PC_LIBS -l$<TARGET_FILE_BASE_NAME:harfbuzz>)
        endif()
        if(NOT TARGET harfbuzz::harfbuzz)
            add_library(harfbuzz::harfbuzz ALIAS harfbuzz)
        endif()
    else()
        message(STATUS "${PROJECT_NAME}: Using system harfbuzz library")
        find_package(harfbuzz REQUIRED)
        list(APPEND PC_REQUIRES harfbuzz)
    endif()
    target_compile_definitions(SDL2_ttf PRIVATE TTF_USE_HARFBUZZ=1)
    target_link_libraries(SDL2_ttf PRIVATE harfbuzz::harfbuzz)
endif()

if(SDL2TTF_FREETYPE)
    if(SDL2TTF_FREETYPE_VENDORED)
        message(STATUS "${PROJECT_NAME}: Using vendored freetype library")
        # FT_DISABLE_ZLIB variable is used by freetype
        set(FT_DISABLE_ZLIB ON CACHE BOOL "freetype zlib option")
        # FT_DISABLE_BZIP2 variable is used by freetype
        set(FT_DISABLE_BZIP2 ON CACHE BOOL "freetype bzip2 option")
        # FT_DISABLE_PNG variable is used by freetype
        set(FT_DISABLE_PNG ON CACHE BOOL "freetype png option")
        # FT_DISABLE_BROTLI variable is used by freetype
        set(FT_DISABLE_BROTLI ON CACHE BOOL "freetype option")
        if(SDL2TTF_HARFBUZZ)
            # FT_DISABLE_HARFBUZZ variable is used by freetype
            set(FT_DISABLE_HARFBUZZ OFF CACHE BOOL "freetype harfbuzz option" FORCE)
            # FT_REQUIRE_HARFBUZZ variable is used by freetype
            set(FT_REQUIRE_HARFBUZZ ON CACHE BOOL "freetype harfbuzz option" FORCE)
        else()
            # FT_DISABLE_HARFBUZZ variable is used by freetype
            set(FT_DISABLE_HARFBUZZ ON CACHE BOOL "freetype harfbuzz option" FORCE)
            # FT_REQUIRE_HARFBUZZ variable is used by freetype
            set(FT_REQUIRE_HARFBUZZ OFF CACHE BOOL "freetype harfbuzz option" FORCE)
        endif()
        if(NOT EXISTS "${PROJECT_SOURCE_DIR}/external/freetype/CMakeLists.txt")
            message(FATAL_ERROR "No freetype sources found. Install a freetype development package or run the download script in the external folder.")
        endif()
        add_subdirectory(external/freetype EXCLUDE_FROM_ALL)
        if(NOT TARGET Freetype::Freetype)
            add_library(Freetype::Freetype ALIAS freetype)
        endif()
        if(NOT SDL2TTF_BUILD_SHARED_LIBS)
            list(APPEND INSTALL_EXTRA_TARGETS freetype)
            list(APPEND PC_LIBS -l$<TARGET_FILE_BASE_NAME:freetype>)
        endif()
    else()
        message(STATUS "${PROJECT_NAME}: Using system freetype library")
        find_package(Freetype REQUIRED)
        list(APPEND PC_REQUIRES freetype2)
    endif()
    target_link_libraries(SDL2_ttf PRIVATE Freetype::Freetype)
endif()

# Restore BUILD_SHARED_LIBS variable
set(BUILD_SHARED_LIBS ${SDL2TTF_BUILD_SHARED_LIBS})

set_target_properties(SDL2_ttf PROPERTIES
    DEFINE_SYMBOL DLL_EXPORT
    PUBLIC_HEADER SDL_ttf.h
    EXPORT_NAME ${sdl2_ttf_export_name}
    C_VISIBILITY_PRESET "hidden"
)
if (NOT ANDROID)
    set_target_properties(SDL2_ttf PROPERTIES
        DEBUG_POSTFIX "${SDL_CMAKE_DEBUG_POSTFIX}")
endif()

if (APPLE)
    # TODO: Use DYLIB_COMPATIBILITY_VERSION, DYLIB_CURRENT_VERSION here
elseif (UNIX AND NOT APPLE AND NOT ANDROID)
    set_target_properties(SDL2_ttf PROPERTIES
        SOVERSION "${LT_MAJOR}"
        VERSION "${LT_VERSION}"
    )
endif()
if (BUILD_SHARED_LIBS)
    if (WIN32 OR OS2)
        set_target_properties(SDL2_ttf PROPERTIES
            PREFIX ""
        )
    endif()
    if (OS2)
        # OS/2 doesn't support a DLL name longer than 8 characters.
        set_target_properties(SDL2_ttf PROPERTIES
           OUTPUT_NAME "SDL2ttf"
        )
    elseif (UNIX AND NOT APPLE AND NOT ANDROID)
        set_target_properties(SDL2_ttf PROPERTIES
            OUTPUT_NAME "SDL2_ttf-${LT_RELEASE}"
        )
    endif()
endif()

# Restore BUILD_SHARED_LIBS variable
set(BUILD_SHARED_LIBS "${SDL2TTF_BUILD_SHARED_LIBS}")

if(SDL2TTF_INSTALL)
    install(
        TARGETS SDL2_ttf
        EXPORT SDL2_ttfTargets
        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT devel
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT library
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}" COMPONENT library
        PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/SDL2" COMPONENT devel
    )

    if(INSTALL_EXTRA_TARGETS)
        install(TARGETS ${INSTALL_EXTRA_TARGETS}
            EXPORT SDL2_ttfTargets
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT devel
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT library
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}" COMPONENT library
            PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}" COMPONENT devel
        )
    endif()

    if(WIN32 AND NOT MINGW)
        set(PKG_PREFIX "cmake")
    else()
        set(PKG_PREFIX "${CMAKE_INSTALL_LIBDIR}/cmake/SDL2_ttf")
    endif()

    configure_package_config_file(SDL2_ttfConfig.cmake.in SDL2_ttfConfig.cmake
        INSTALL_DESTINATION "${PKG_PREFIX}"
    )
    write_basic_package_version_file("${PROJECT_BINARY_DIR}/SDL2_ttfConfigVersion.cmake"
        VERSION ${FULL_VERSION}
        COMPATIBILITY AnyNewerVersion
    )
    install(
        FILES

=== debian/changelog ===
libsdl2-ttf (2.20.1+dfsg-2) unstable; urgency=medium

  * d/watch: Update for Github website changes

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:19:30 +0100

libsdl2-ttf (2.20.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Aug 2022 21:05:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.6.0
+Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libfreetype-dev,
@@ -33,6 +33,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libc6-dev,
+         libfreetype-dev,
+         libharfbuzz-dev (>= 2.3.1),
          libsdl2-ttf-2.0-0 (= ${binary:Version}),
          libsdl2-dev (>= 2.0.0)
 Description: TrueType Font library for Simple DirectMedia Layer 2, development files

=== debian/watch ===
version=4
# Upstream releases official Autotools 'make dist' tarballs, so we use
# those in preference to git tags
opts="\
    compression=gzip, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//;s/[+~](?:ds|dfsg)[0-9]*//, \
    downloadurlmangle=s#/tag/#/download/#;s#((?:pre)?release-?@ANY_VERSION@)$#$1/SDL2_ttf-$2.tar.gz#, \
    filenamemangle=s#(?:pre)?release-?@ANY_VERSION@#SDL2_ttf-$1.tar.gz#, \
    pgpmode=auto, \
    repack, \
    repacksuffix=+dfsg" \
https://github.com/libsdl-org/SDL_ttf/tags .*/releases/tag/release-?@ANY_VERSION@

## libsdl2-ttf 2.20.2+dfsg

=== debian/changelog ===
libsdl2-ttf (2.20.2+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * d/upstream/metadata: Add
  * d/control: Remove version constraints unnecessary since Debian 10

  [ Simon McVittie ]
  * New upstream stable release
    - Functionally equivalent to 2.20.1+dfsg for Debian's purposes
  * d/copyright: Update
  * d/control: Update standards version to 4.6.2 (no changes needed)
  * d/control: Remove version constraints unnecessary since Debian 11
  * d/upstream/metadata: Add Repository field
  * d/tests: Run Xvfb with -noreset to make the test more reliable.
    See #981201.
  * d/tests: Instruct xvfb-run to choose a server number automatically
  * d/watch: Only watch for 2.x versions.
    The upstream 'main' branch now targets SDL 3 (under development), and
    should be packaged separately as a libsdl3-ttf source package.

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Jul 2023 18:05:37 +0100

## libsdl2-ttf 2.22.0+dfsg

=== debian/changelog ===
libsdl2-ttf (2.22.0+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update
  * d/gbp.conf: Only sign packaging tags, not upstream tags
  * d/gbp.conf: Rely on uscan to repack upstream source.
    This will use Files-Excluded in d/copyright, rather than separate
    configuration.
  * d/gbp.conf: Use DEP-14 branch names

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 13:12:17 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libfreetype-dev,
-               libharfbuzz-dev (>= 2.3.1),
-               libsdl2-dev (>= 2.0.12),
+               libharfbuzz-dev,
+               libsdl2-dev,
                pkg-config
 Homepage: https://www.libsdl.org/projects/SDL_ttf/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-ttf
@@ -34,9 +34,9 @@
 Depends: ${misc:Depends},
          libc6-dev,
          libfreetype-dev,
-         libharfbuzz-dev (>= 2.3.1),
+         libharfbuzz-dev,
          libsdl2-ttf-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.0)
+         libsdl2-dev
 Description: TrueType Font library for Simple DirectMedia Layer 2, development files
  Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
  render text in SDL applications.

=== debian/tests/control ===
Tests: libsdl2-ttf-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 cmake,
 file,
 fonts-cantarell,
 libsdl2-ttf-dev,
 ninja-build,
 pkg-config,
 xauth,
 xvfb,

## libsdl2-ttf 2.24.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,22 @@
 
 #export DH_VERBOSE=1
 
-
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
 
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/default.mk
 
 
 # export variables for autoreconf
 export AUTOMAKE := automake --foreign
 export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude
 
+confflags :=
+
+# Static SDL2-based libraries are no longer useful with sdl2-compat,
+# which needs a shared SDL3 anyway
+confflags += --enable-shared
+confflags += --disable-static
 
 confflags += --enable-harfbuzz
 confflags += --disable-freetype-builtin

## libsdl2-ttf 2.24.0+dfsg

=== mingw/pkg-support/Makefile ===
#
# Makefile for installing the mingw32 version of the SDL2_ttf library

CROSS_PATH := /usr/local
ARCHITECTURES := i686-w64-mingw32 x86_64-w64-mingw32

all install:
	@echo "Type \"make native\" to install 32-bit to /usr"
	@echo "Type \"make cross\" to install 32-bit and 64-bit to $(CROSS_PATH)"

native:
	make install-package arch=i686-w64-mingw32 prefix=/usr

cross:
	mkdir -p $(CROSS_PATH)/cmake
	cp -rv cmake/* $(CROSS_PATH)/cmake
	for arch in $(ARCHITECTURES); do \
	    make install-package arch=$$arch prefix=$(CROSS_PATH)/$$arch; \
	done

install-package:
	@if test -d $(arch) && test -d $(prefix); then \
	    (cd $(arch) && cp -rv bin include lib $(prefix)/); \
	    sed "s|^prefix=.*|prefix=\'$(prefix)\'|" <$(arch)/lib/pkgconfig/SDL2_ttf.pc >$(prefix)/lib/pkgconfig/SDL2_ttf.pc; \
	    sed "s|^libdir=.*|libdir=\'$(prefix)/lib\'|" <$(arch)/lib/libSDL2_ttf.la >$(prefix)/lib/libSDL2_ttf.la; \
	    sed -e "s|^set[(]bindir \".*|set(bindir \"$(prefix)/bin\")|" \
	    	-e "s|^set[(]includedir \".*|set(includedir \"$(prefix)/include\")|" \
	    	-e "s|^set[(]libdir \".*|set(libdir \"$(prefix)/lib\")|" <$(arch)/lib/cmake/SDL2_ttf/sdl2_ttf-config.cmake >$(prefix)/lib/cmake/SDL2_ttf/sdl2_ttf-config.cmake; \
	else \
	    echo "*** ERROR: $(arch) or $(prefix) does not exist!"; \
	    exit 1; \
	fi

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libfreetype-dev,
                libharfbuzz-dev,
                libsdl2-dev,
-               pkg-config
+               pkgconf,
 Homepage: https://www.libsdl.org/projects/SDL_ttf/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-ttf
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-ttf.git
@@ -32,6 +32,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         ${shlibs:Depends},
          libc6-dev,
          libfreetype-dev,
          libharfbuzz-dev,

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,6 @@
 export AUTOMAKE := automake --foreign
 export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude
 
-confflags :=
-
-# Static SDL2-based libraries are no longer useful with sdl2-compat,
-# which needs a shared SDL3 anyway
-confflags += --enable-shared
-confflags += --disable-static
 
 confflags += --enable-harfbuzz
 confflags += --disable-freetype-builtin

=== debian/tests/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
  build-essential,
  cmake,
  file,
- fonts-cantarell,
+ fonts-freefont-otf,
  libsdl2-ttf-dev,
  ninja-build,
- pkg-config,
+ pkgconf,
  xauth,
  xvfb,

=== debian/watch ===
--- 
+++ 
@@ -9,4 +9,4 @@
     pgpmode=auto, \
     repack, \
     repacksuffix=+dfsg" \
-https://github.com/libsdl-org/SDL_ttf/tags .*/releases/tag/release-?@ANY_VERSION@
+https://github.com/libsdl-org/SDL_ttf/tags .*/releases/tag/release-?(2\.[0-9.]+)
